Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeGetThickness

Get the total thickness of the layers

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeGetThickness(DMPlexTransform tr, PetscReal *thickness)

Not Collective

## Input Parameter

- tr - The `DMPlexTransform`

## Output Parameter

- thickness - The total thickness of the layers

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeSetThickness()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages